Jack2: Jack::JackEngineControl Struct Reference

Jack2 1.9.12

Public Member Functions | Public Attributes | List of all members
Jack::JackEngineControl Struct Reference

Engine control in shared memory. More...

`#include <JackEngineControl.h>`

Inheritance diagram for Jack::JackEngineControl:

## Public Member Functions
| JackEngineControl (bool sync, bool temporary, long timeout, bool rt, long priority, bool verbose, jack_timer_type_t clock, const char *server_name)
void | UpdateTimeOut ()
void | CycleIncTime (jack_time_t callback_usecs)
void | CycleBegin (JackClientInterface **table, JackGraphManager *manager, jack_time_t cur_cycle_begin, jack_time_t prev_cycle_end)
void | CycleEnd (JackClientInterface **table)
void | InitFrameTime ()
void | ResetFrameTime (jack_time_t callback_usecs)
void | ReadFrameTime (JackTimer *timer)
void | NotifyXRun (jack_time_t callback_usecs, float delayed_usecs)
void | ResetXRun ()
void | CalcCPULoad (JackClientInterface **table, JackGraphManager *manager, jack_time_t cur_cycle_begin, jack_time_t prev_cycle_end)
void | ResetRollingUsecs ()
Public Member Functions inherited from Jack::JackShmMem
void * | operator new (size_t size)
void * | operator new (size_t size, void *memory)
void | operator delete (void *p, size_t size)
void | operator delete (void *p)
Public Member Functions inherited from Jack::JackShmMemAble
void | Init ()
int | GetShmIndex ()
char * | GetShmAddress ()
void | LockMemory ()
void | UnlockMemory ()

## Public Attributes
jack_nframes_t | fBufferSize
jack_nframes_t | fSampleRate
bool | fSyncMode
bool | fTemporary
jack_time_t | fPeriodUsecs
jack_time_t | fTimeOutUsecs
float | fMaxDelayedUsecs
float | fXrunDelayedUsecs
bool | fTimeOut
bool | fRealTime
bool | fSavedRealTime
int | fServerPriority
int | fClientPriority
int | fMaxClientPriority
char | fServerName [JACK_SERVER_NAME_SIZE+1]
JackTransportEngine | fTransport
jack_timer_type_t | fClockSource
int | fDriverNum
bool | fVerbose
jack_time_t | fPrevCycleTime
jack_time_t | fCurCycleTime
jack_time_t | fSpareUsecs
jack_time_t | fMaxUsecs
jack_time_t | fRollingClientUsecs [JACK_ENGINE_ROLLING_COUNT]
unsigned int | fRollingClientUsecsCnt
int | fRollingClientUsecsIndex
int | fRollingInterval
float | fCPULoad
UInt64 | fPeriod
UInt64 | fComputation
UInt64 | fConstraint
JackFrameTimer | fFrameTimer

## Additional Inherited Members
Protected Attributes inherited from Jack::JackShmMemAble
jack_shm_info_t | fInfo

## Detailed Description

Engine control in shared memory.

Definition at line 49 of file JackEngineControl.h.

The documentation for this struct was generated from the following files:

- JackEngineControl.h
- JackEngineControl.cpp